:root {
  --content-width: 80%;

  --light-primary-color: 255, 255, 255;
  --light-secondary-color: #dddddd;
  --light-tertiary-color: #272822;
  --light-text-color: black;
}

html{
  height: 100%;
}

body {
  margin-bottom: 170px;
}

@media only screen and (max-width: 900px) {
  .list-tags-articles {
    flex-direction: column-reverse;
  }

  .post-tags2{
    margin-right: 7%;
    overflow-y: auto;
    height: 150px !important;
  }

  .container-list-tags{
    width: 100% !important;
  }
  .container-list-articles{
    width: 100% !important;
  }
  .post-title{
    border: 2px solid #737272;
    padding: 1em;
    border-radius: 30px;
    min-width: 80% !important;
  }
  .footer {
    color: inherit;
    text-align: center;
    width: 100%;
    height: 300px !important;
    background-color: #256ca9;
    position: absolute;
    margin-top: 5%;
    padding: 55px 0 !important;
  }
}

.container-list-articles{
  width: 75%;
  margin-top: 7%;
}

.container-list-tags{
  width: 25%;
  margin-top: 7%;
}

@font-face {
  font-family: Lato;
  font-weight: 400;
  src: url("/fonts/Lato-Regular.ttf");
}

@font-face {
  font-family: Lato;
  font-weight: 700;
  src: url("/fonts/Lato-Bold.ttf");
}

html {
  background-color: rgb(var(--light-primary-color));
  color: var(--light-text-color);
  font-family: "Lato", sans-serif;
  font-size: 17.5px;
  min-height: 100%;
  position: relative;
}

.blog-post-tag{
text-align: center;
}

.blog-post-tag2{
  display: flex;
  justify-content: center;
}

.tag-count{
  margin-left: auto;
}

.container-list-tags> ul{
  text-align: center;
}
.post-title{
  border: 2px solid #737272;
  padding: 1em;
  border-radius: 30px;
  min-width: 30%;
}
.container-article {
  display: flex;
}

.container-article>* {
  margin: 0 10px;
  flex: 1;
}
.post-header-section>h1{
  fill: var(--accent-color);
  text-align: center;
}

b,
strong {
  font-weight: bold;
}

a {
  color: inherit;
}

/* This is set in partials/head.html and is populated via config */
a:hover {
  color: var(--accent-color);
  fill: var(--accent-color);
}

main#content {
  margin: 90px auto 0;
  width: var(--content-width);
  position: relative;
}

img {
  height: auto;
  max-width: 100%;
}

/* HEADER */
.header {
  background-color: rgba(var(--light-primary-color), 0.95);
  color: inherit;
  height: 50px;
  left: 0;
  position: fixed;
  top: 0;
  transition: box-shadow 0.3s ease-in-out;
  width: 100%;
  z-index: 5;
}

.header a {
  text-decoration: none;
}
.header .header-nav {
  height: 50px;
  margin-top: 0;
}

.header-nav .avatar {
  border-radius: 18px;
  float: left;
  height: 100%;
  margin-left: 15px;
}
.header-nav .avatar img {
  border-radius: 100%;
  display: block;
  height: 38px;
  margin-top: 5px;
  overflow: hidden;
  width: 38px;
}
.header-nav .nav-title {
  display: inline-block;
  height: 100%;
  line-height: 50px;
  padding-left: 15px;
}
.nav-title a {
  height: 50px;
}
.header-nav .nav-links {
  float: right;
  line-height: 50px;
  margin-right: 10px;
}
.nav-links .nav-link {
  display: inline-block;
  padding: 0 2px;
}
.nav-links .nav-link a {
  display: block;
  padding: 0 6px;
}
.nav-link a svg {
  height: 20px;
  margin: -3px auto;
  stroke-width: 2;
  width: 20px;
}
.nav-links .nav-link.icon a {
  padding: 0 8px;
}
.nav-links .nav-icons-divider {
  border-color: inherit;
  border-left: 1.5px solid;
  color: var(--light-secondary-color);
  margin: 0 10px;
}
.nav-links .dark-theme-toggle:hover {
  cursor: pointer;
}

a:hover .feather-sun {
  fill: black;
  color: black;
}

.dark-theme-toggle .feather {
  height: 22px;
  stroke-linecap: round;
  stroke-linejoin: round;
  width: 22px;
}
#hamburger-menu-toggle {
  display: none;
}
#hamburger-menu-toggle .feather {
  height: 24px;
  stroke-linecap: round;
  stroke-linejoin: round;
  width: 24px;
}
.nav-hamburger-list {
  background: rgb(var(--light-primary-color));
  border-bottom: solid 1.5px var(--light-secondary-color);
  border-top: solid 1.5px var(--light-secondary-color);
  list-style-type: none;
  margin: 0;
  padding: 0;
  position: absolute;
  right: 0;
  text-align: center;
  width: 100%;
  z-index: 5;
}
.nav-hamburger-list a:hover {
  text-decoration: underline;
}

/* FOOTER */
.footer {
  color: inherit;
  text-align: center;
  width: 100%;
  height: 41%;
  background-color: #256ca9;
  position: absolute;
  margin-top: 10%;
  padding: 10px 0 0 0;
  position: absolute;
}

#clock{
  width: 20px;
  height: 20px;
}

.previous, .next{
  list-style-type: none;
  background-color: #3BA3FE;
  color: black;
  border-radius: 5px;
}

.previous{
  margin-right: auto;
}

.blog-pager{
  display: flex;
  margin: auto;
}

a {
  text-decoration: none;
  display: inline-block;
  padding: 8px 16px;
}

.button-pager:hover {
  background-color: #ddd;
  color: black;
  border-radius: 5px;
  transition: background-color 500ms, color 400ms;
  transition-timing-function : ease-out;
}

.footer span {
  display: block;
  font-size: 0.85em;
  font-weight: 300;
  padding: 1px 0;
}

.footer a {
  line-height: 1em;
}

/** COMMON **/
.flex-break {
  flex-basis: 100%;
  height: 0;
  display: none;
}

.visibility-hidden {
  visibility: hidden;
}

.header-shadow {
  box-shadow: rgb(220, 220, 220) 0px 1px 5px;
}

/* TAGS */
.post-tags2 {
  list-style-type: none;
  overflow-x: hidden;
  height: 360px;
}

.post-tags .post-tag {
  border: 1.5px solid;
  border-radius: 4px;
  box-sizing: border-box;
  color: inherit;
  display: inline-block;
  font-size: 14px;
}

.post-tags .post-tag:hover {
  background-color: var(--light-text-color);
  color: rgb(var(--light-primary-color));
}

.post-tag a {
  color: inherit;
  display: block;
  padding: 6px 12px;
  text-decoration: none;
}

/* CODE BLOCKS */
code,
pre {
  background-color: var(--light-tertiary-color);
  box-sizing: border-box;
  color: white;
}

pre {
  font-size: 0.95rem;
  overflow: auto;
  padding: 20px;
}

code {
  box-decoration-break: clone;
  word-wrap: break-word;
  font-size: 0.8em;
}

:not(pre) > code {
  background-color: var(--light-secondary-color) !important;
  color: var(--light-text-color);
  padding: 1px 4px;
}

pre code {
  font-size: 0.9em;
}

blockquote {
  border-left: 2px solid var(--light-secondary-color);
  color: grey;
  padding-left: 1rem;
  margin-left: 0;
}

hr {
  color: var(--light-secondary-color);
  margin: 50px auto;
}

table {
  border-collapse: collapse;
  margin: 30px 0;
  text-align: left;
  display: block;
  overflow-x: auto;
}

table thead {
  background-color: var(--light-secondary-color);
}

table td,
table th {
  padding: 1.4rem;
}

table td {
  border-bottom: 1px solid var(--light-secondary-color);
}

/* HOME PAGE */
.home-about {
  text-align: center;
}

.home-about .avatar img {
  border-radius: 50%;
  height: auto;
  object-fit: cover;
}

/* Avatar sizes (default is M) - XS, S, M, L, XL */
.home-about .avatar img.size-xs {
  height: 7rem;
  width: 7rem;
}

.home-about .avatar img.size-s {
  height: 9rem;
  width: 9rem;
}

.home-about .avatar img.size-m {
  height: 11rem;
  width: 11rem;
}

.home-about .avatar img.size-l {
  height: 13rem;
  width: 13rem;
}

.home-about .avatar img.size-xl {
  height: 15rem;
  width: 15rem;
}

.social-icons {
  text-align: center;
}

.social-icons .social-icons-list {
  display: inline-block;
  list-style-type: none;
  padding: 0;
  text-align: center;
}

.social-icons-list .social-icon {
  box-sizing: border-box;
  display: inline-block;
  fill: var(--light-text-color);
  height: 24px;
  margin: 0 6px;
  width: 24px;
}

.social-icon a svg path {
  transition: fill 0.15s ease;
}

.home-posts {
  padding-top: 20px;
}

/* SINGLE */
.post [role="doc-subtitle"] {
  font-size: 1.1em;
  font-style: italic;
}
.post .post-date {
  color: gray;
}
.post .post-content {
  line-height: 1.7;
  margin-top: 50px;
  letter-spacing: 0.5px;
}
.post-content h1 {
  margin-top: 40px;
}
.post-content h2 {
  margin-top: 35px;
}
.post-content h3 {
  margin-top: 30px;
}
.post-content h4 {
  margin-top: 25px;
}
.post-content h5 {
  margin-top: 20px;
}
.post-content img {
  display: block;
  margin-left: auto;
  margin-right: auto;
}

/* LIST */
.list-posts .list-title {
  text-align: center;
}
.list-posts .posts-year {
  margin-top: 70px;
}
.list-posts .post-title {
  margin: 18px 0 0 15px;
}
.list-posts a {
  text-decoration: none;
}
.post-title .post-link,
.post-title .post-date {
  display: inline-block;
}
.post-title .post-link {
  width: 80%;
}
.tags-list .post-tags {
  margin-top: 50px;
}
.tags-list .post-tags .post-tag {
  margin: 2px 5px;
  padding: 0;
}
.tags-list .post-tags .post-tag a {
  border-radius: inherit;
  padding: 0;
}
.tags-list .post-tags .post-tag a div {
  display: inline-block;
}
.tags-list .post-tags .post-tag a .tag-name {
  padding: 5px 8px;
}
.tags-list .post-tags .post-tag a .tag-posts-count {
  background-color: var(--light-secondary-color);
  border-radius: inherit;
  color: inherit;
  opacity: 0.8;
  padding: 6px;
  position: relative;
  z-index: 0;
}
.tags-list .post-tags .post-tag:hover a .tag-posts-count {
  background-color: var(--light-text-color);
  color: rgb(var(--light-primary-color));
}


.text-404 {
  margin-top: 125px;
  text-align: center;
}

@media only screen and (max-width: 820px) {
  body {
    font-size: 0.95rem;
  }

  .flex-break {
    display: block;
  }

  .home-about .avatar img {
    border-radius: 50%;
    height: 7rem;
    width: 7rem;
  }

  .nav-links .nav-link,
  .nav-icons-divider {
    display: none;
  }

  #hamburger-menu-toggle {
    display: inline-block;
  }

  main#content {
    box-sizing: border-box;
    padding: 0 1.5rem;
    width: auto;
  }

  .home-about {
    margin: 0 auto;
  }

  .list-posts {
    flex: 1;
  }

  .list-posts .post-date {
    color: gray;
  }
}



@media only screen and (min-width: 820px) {
  .nav-hamburger-list {
    visibility: hidden !important;
  }
}

/* pour l'image de cover */

.entry-cover {
  font-size: 14px;
  color: var(--secondary);
  margin-bottom: var(--gap);
  text-align: center;
}

.entry-cover img {
  border-radius: var(--radius);
  pointer-events: none;
  width: 50%;
  height: auto;
  margin-left: 0%;
}

.entry-cover a {
  color: var(--secondary);
  box-shadow: 0 1px 0 var(--primary);
  margin-left: 0%;
}




